Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.picocontainer.tck
Class AbstractImplementationHidingPicoContainerTest

    java.lang.Object
      org.picocontainer.tck.AbstractPicoContainerTest
          org.picocontainer.tck.AbstractImplementationHidingPicoContainerTest

Direct Known Subclasses:
  ImplementationHidingWithDefaultPicoContainerTestCase

    public abstract class AbstractImplementationHidingPicoContainerTest

extends AbstractPicoContainerTest

Author:
  Paul Hammant

Nested Class Summary
`static class` | `AbstractImplementationHidingPicoContainerTest.Burp`

Nested classes/interfaces inherited from class org.picocontainer.tck.AbstractPicoContainerTest
`AbstractPicoContainerTest.ComponentA, AbstractPicoContainerTest.ComponentB, AbstractPicoContainerTest.ComponentC, AbstractPicoContainerTest.ComponentD, AbstractPicoContainerTest.ComponentE, AbstractPicoContainerTest.ComponentF, AbstractPicoContainerTest.ContainerDependency, AbstractPicoContainerTest.DerivedTouchable, AbstractPicoContainerTest.JMSService, AbstractPicoContainerTest.LifeCycleMonitoring, AbstractPicoContainerTest.ListAdder, AbstractPicoContainerTest.NeedsTouchable, AbstractPicoContainerTest.NeedsWashable, AbstractPicoContainerTest.NonGreedyClass, AbstractPicoContainerTest.RecordingStrategyVisitor, AbstractPicoContainerTest.TestBehavior, AbstractPicoContainerTest.TestLifecycleComponent`

Constructor Summary
`AbstractImplementationHidingPicoContainerTest()`

Method Summary
`protected abstract org.picocontainer.MutablePicoContainer` | `createImplementationHidingPicoContainer()`
`void` | `testExceptionThrowingFromHiddenComponent()`
`void` | `testImplementaionIsAutomaticallyHidden()`
`void` | `testImplementaionWithParametersIsAutomaticallyHidden()`
`void` | `testInstanceIsNotAutomaticallyHidden()`
`void` | `testNonInterfaceImplementaionIsAutomaticallyHidden()`
`void` | `testNonInterfaceImplementaionWithParametersIsAutomaticallyHidden()`
`void` | `testSerializedContainerCanRetrieveImplementation()`

Methods inherited from class org.picocontainer.tck.AbstractPicoContainerTest
`addContainers, addDefaultComponentFactories, createPicoContainer, createPicoContainerWithDependsOnTouchableOnly, createPicoContainerWithTouchableAndDependsOnTouchable, getProperties, testAcceptImplementsBreadthFirstStrategy, testAcceptIsAbortable, testAggregatedVerificationException, testAmbiguousDependencies, testAmbiguousResolution, testBasicInstantiationAndContainment, testComponentAdapterRegistrationOrderIsMaintained, testComponentInstancesFromParentsAreNotDirectlyAccessible2, testContainerCascadesDefaultLifecycle, testContainerIsSerializable, testCyclicDependencyThrowsCyclicDependencyException, testCyclicDependencyThrowsCyclicDependencyExceptionWithParentContainer, testDuplicateRegistration, testExternallyInstantiatedObjectsCanBeRegisteredAndLookedUp, testGettingComponentWithMissingDependencyFails, testLookupWithUnregisteredKeyReturnsNull, testLookupWithUnregisteredTypeReturnsNull, testMakingOfChildContainer, testMakingOfChildContainerPercolatesLifecycleManager, testNoArgConstructorToBeSelected, testPico52, testRegisterComponentWithObjectBadType, testRegisteredComponentsExistAndAreTheCorrectTypes, testRegistersSingleInstance, testRemovalNonRegisteredComponentAdapterWorksAndReturnsNull, testSameInstanceCanBeUsedAsDifferentTypeWhenCaching, testShouldCascadeStartStopAndDisposeToChild, testShouldReturnNonMutableParent, testShouldReturnNullForComponentAdapterOfUnregisteredType, testShouldReturnNullWhenUnregistereingUnmanagedComponent, testStartStopAndDisposeCascadedtoChildren, testStartStopAndDisposeNotCascadedtoRemovedChildren, testUnsatisfiableDependenciesExceptionGivesUnsatisfiedDependencyTypes, testUnsatisfiableDependenciesExceptionGivesVerboseEnoughErrorMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractImplementationHidingPicoContainerTest

    public AbstractImplementationHidingPicoContainerTest()

Method Detail

### testInstanceIsNotAutomaticallyHidden

    public void testInstanceIsNotAutomaticallyHidden()

### createImplementationHidingPicoContainer

    protected abstract org.picocontainer.MutablePicoContainer createImplementationHidingPicoContainer()

### testImplementaionIsAutomaticallyHidden

    public void testImplementaionIsAutomaticallyHidden()

### testNonInterfaceImplementaionIsAutomaticallyHidden

    public void testNonInterfaceImplementaionIsAutomaticallyHidden()

### testNonInterfaceImplementaionWithParametersIsAutomaticallyHidden

    public void testNonInterfaceImplementaionWithParametersIsAutomaticallyHidden()

### testImplementaionWithParametersIsAutomaticallyHidden

    public void testImplementaionWithParametersIsAutomaticallyHidden()

### testSerializedContainerCanRetrieveImplementation

    public void testSerializedContainerCanRetrieveImplementation()
                                                          throws org.picocontainer.PicoException,
                                                                 IOException,
                                                                 ClassNotFoundException

  Overrides:
    `testSerializedContainerCanRetrieveImplementation` in class `AbstractPicoContainerTest`
  Throws:
    `org.picocontainer.PicoException`
    `IOException`
    `ClassNotFoundException`

### testExceptionThrowingFromHiddenComponent

    public void testExceptionThrowingFromHiddenComponent()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 Codehaus. All Rights Reserved.